Last Comment Bug 701656 - transform 3D don't work in transform 3D element
: transform 3D don't work in transform 3D element
Status: RESOLVED FIXED
[mozfr-community]
:
Product: Core
Classification: Components
Component: Layout: View Rendering (show other bugs)
: Trunk
: x86_64 Windows Server 2003
: -- normal (vote)
: mozilla11
Assigned To: Matt Woodrow (:mattwoodrow)
:
: Jet Villegas (:jet)
Mentors:
Depends on: 810685 707563 730166 735178
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-11 02:47 PST by Zéfling
Modified: 2016-06-08 12:54 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-


Attachments
Make WrapPreserve3DList capable of walking through child display items for the same frame (1.18 KB, patch)
2011-11-14 19:00 PST, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review
Include the preserve-3d parent content in preserve-3d sorting (1.01 KB, patch)
2011-11-14 19:00 PST, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review
Add tests (3.24 KB, patch)
2011-11-14 20:33 PST, Matt Woodrow (:mattwoodrow)
roc: review+
Details | Diff | Splinter Review
Gecko (Nightly) & Webkit (Iron) render (1.31 MB, video/webm)
2011-11-18 11:41 PST, Zéfling
no flags Details
about:support (7.42 KB, text/plain)
2011-12-01 11:06 PST, Zéfling
no flags Details
With new profile (1.58 MB, video/webm)
2011-12-01 11:23 PST, Zéfling
no flags Details
Gecko (Nightly) & Webkit (Iron) render (1.61 MB, video/webm)
2011-12-12 10:13 PST, Zéfling
no flags Details

Description Zéfling 2011-11-11 02:47:13 PST
User Agent: Mozilla/5.0 (Windows NT 5.2; WOW64; rv:8.0) Gecko/20100101 Firefox/8.0
Build ID: 20111104165243

Steps to reproduce:

The webkit demonstration with transform-style: preserve-3d + transform: rotateY  and children with transform: translateZ don't work correctly. 3D effects is not apply on children.

http://ikilote.net/Programmation/CSS/Test/transform-style.htm
Comment 1 Boris Zbarsky [:bz] (still a bit busy) 2011-11-12 20:46:02 PST
Not a CSSOM issue...

Matt, could you take a look at this?
Comment 2 Daniel Holbert [:dholbert] 2011-11-13 13:50:24 PST
(FWIW, I get invalidation artifacts on this bug's testcase -- I filed bug 702149 on that.)
Comment 3 Matt Woodrow (:mattwoodrow) 2011-11-14 19:00:10 PST
Created attachment 574503 [details] [diff] [review]
Make WrapPreserve3DList capable of walking through child display items for the same frame
Comment 4 Matt Woodrow (:mattwoodrow) 2011-11-14 19:00:41 PST
Created attachment 574505 [details] [diff] [review]
Include the preserve-3d parent content in preserve-3d sorting
Comment 5 Matt Woodrow (:mattwoodrow) 2011-11-14 19:03:01 PST
These patches fix the majority of the problems with this test case (including the visible effects of bug 702149), though it appears we are still calculating incorrect visible regions and are clipping the transformed objects at times.

We also appear to have a different interpretation of group opacity for preserve-3d objects here, I'll put this in an email to www-style to discuss this.
Comment 6 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-11-14 20:09:46 PST
Need reftests...
Comment 7 Matt Woodrow (:mattwoodrow) 2011-11-14 20:33:28 PST
Created attachment 574525 [details] [diff] [review]
Add tests
Comment 10 Zéfling 2011-11-18 11:41:54 PST
Created attachment 575513 [details]
Gecko (Nightly) & Webkit (Iron) render

It's really resolved ? The result is strange in Gecko...
Comment 11 Ryan VanderMeulen [:RyanVM] 2011-11-18 11:50:38 PST
What release channel is your nightly build from? This was fixed only on mozilla-central (what will become Firefox 11). This will not work on nightlies from the Aurora/Beta/Release channels.
Comment 12 Zéfling 2011-11-18 12:27:02 PST
I'm user agent is :
Mozilla/5.0 (Windows NT 5.2; WOW64; rv:11.0a1) Gecko/20111118 Firefox/11.0a1

Is it not the last ?
Comment 13 Ryan VanderMeulen [:RyanVM] 2011-11-18 12:34:21 PST
Yes, that's the correct build to be testing. Thanks for confirming.
Comment 14 Alex Keybl [:akeybl] 2011-11-28 15:53:27 PST
[Triage Comment]
This would not block shipping FF10, but we'd consider taking a low risk patch for Aurora if nominated.
Comment 15 Matt Woodrow (:mattwoodrow) 2011-11-30 12:55:04 PST
Can you post the contents of your about:support please?
Comment 16 Zéfling 2011-12-01 11:06:34 PST
Created attachment 578324 [details]
about:support
Comment 17 Zéfling 2011-12-01 11:23:28 PST
Created attachment 578335 [details]
With new profile

Oh! With a new profile it's better, but the render is cut.
Comment 18 Matt Woodrow (:mattwoodrow) 2011-12-04 13:52:24 PST
Filed bug 707563 for the remaining Layers bug here.
Comment 19 Zéfling 2011-12-12 10:13:59 PST
Created attachment 580961 [details]
Gecko (Nightly) & Webkit (Iron) render

With bug 707563, the result is better, but the text is distorted. Opacity is strange, as if it were applied at all evenly.
Comment 20 Zéfling 2012-02-21 10:50:55 PST
Is this bug does not okay ? For the opacity, it seems that it is not a bug. I think this bug may be closed. The opacity is same for all element in flat mode and perserve-3D. It's not specify in the daft of the W3C. 

Can I close this bug ?
Comment 21 Alex Keybl [:akeybl] 2012-02-27 14:04:48 PST
(In reply to Célian VEYSSIÈRE from comment #20)
> Can I close this bug ?

Let's see if Matt agrees before closing this bug. Thanks.

Note You need to log in before you can comment on or make changes to this bug.